Get Product Versions
curl --request GET \
--url https://api.merchantops.ai/api/products/{key}/versionsimport requests
url = "https://api.merchantops.ai/api/products/{key}/versions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.merchantops.ai/api/products/{key}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"totalVersions": 123,
"versions": [
{
"id": "<string>",
"key": "<string>",
"productType": {},
"source": "<string>",
"version": 123,
"aiTraceId": "<string>",
"confidence": 123,
"createdAt": "<string>",
"createdBy": "<string>",
"enrichmentScore": 123,
"enrichmentSources": [
"<string>"
],
"isPublished": false,
"labels": [
"<string>"
],
"lakehouseMatched": true,
"lakehousePropertiesCount": 123,
"langfuseTraceId": "<string>",
"properties": {},
"properties_metadata": {},
"propertyCount": 0,
"scrapeWarnings": [
{}
],
"status": "<string>",
"version_commit_message": "<string>",
"version_created_from": 123
}
],
"productionVersion": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Products
Get Product Versions
Get all versions of a product.
Authentication Required: Requires product:read permission.
Returns all versions sorted by version number DESC (newest first).
GET
/
api
/
products
/
{key}
/
versions
Get Product Versions
Path Parameters
Cookies
Response
Successful Response